PACMAN-KEY(8)

BEZEICHNUNG
pacman-key - die Liste der vertrauenswürdigen Schlüssel von Pacman verwalten

ÜBERSICHT

pacman-key [Optionen] Operation [Ziele]

BESCHREIBUNG

pacman-key ist ein Adapter-Skript für GnuPG, das für die Verwaltung des Schlüsselbundes von Pacman eingesetzt wird. Dieser Schlüsselbund ist die Sammlung der PGP-Schlüssel, die zur Überprüfung signierter Pakete und Datenbanken verwendet werden. Dieses Skript kann Schlüssel importieren und exportieren, Schlüssel von Schlüsselservern holen und die Datenbank der Vertrauenswürdigkeit von Schlüsseln aktualisieren.

Eine weitergehende Schlüsselbundverwaltung ist direkt mit GnuPG möglich, wenn Sie mit dessen Option --homedir auf den Pacman-Schlüsselbund verweisen (der sich in der Voreinstellung in /etc/pacman.d/gnupg befindet).

Der Aufruf von pacman-key besteht aus der Angabe einer Operation mit potenziellen Optionen und Zielen, auf die es angewendet werden soll. Abhängig von der Operation kann ein Ziel einer der zulässigen Schlüsselbezeichner, ein Dateiname oder ein Verzeichnis sein.

AKTIONEN

-a, --add
    fügt den oder die in der angegebenen Datei oder den angegebenen Dateien enthaltenen Schlüssel zum Schlüsselbund von Pacman hinzu. Wenn ein Schlüssel bereits vorhanden ist, wird dieser aktualisiert.

-d, --delete
    entfernt den oder die Schlüssel aus dem Schlüsselbund von Pacman, die durch die angegeben(en) Schlüsselkennung(en) identifiziert werden.

-e, --export
    exportiert den oder die Schlüssel, die durch die angegeben(en) Schlüsselkennung(en) identifiziert werden, in die Standardausgabe. Falls keine Schlüsselkennung angegeben wird, werden alle Schlüssel exportiert.

--edit-key
    stellt ein Menü für Verwaltungsaufgaben der angegebenen Schlüsselkennungen bereit. Dies ist zur Anpassung des Vertrauenswerts eines Schlüssels nützlich.

-f, --finger
    zeigt einen Fingerabdruck für jede angegebene Schlüsselkennung an, oder für alle bekannten Schlüssel, falls keine Schlüsselkennungen angegeben sind.

-h, --help
    gibt die Syntax und Befehlszeilenoptionen aus.

--import
    importiert Schlüssel aus pubring.gpg aus den angegebenen Verzeichnissen in den öffentlichen Schlüsselbund .

--import-trustdb
    importiert die Eigentümer-Vertrauenswerte aus trustdb.gpg aus den angegebenen Verzeichnissen in die gemeinsam genutzte Vertrauenswerts-Datenbank.

--init
    stellt sicher, dass der Schlüsselbund korrekt initialisiert ist und über die erforderlichen Zugriffsrechte verfügt.

-l, --list-keys
    zeigt alle oder die angegebenen Schlüssel aus dem öffentlichen Schlüsselbund an.

--list-sigs
    ist gleichbedeutend mit --list-keys, wobei zusätzlich auch die Signaturen angezeigt werden.

--lsign-key
    signiert den angegebenen Schlüssel lokal. Der Hauptnutzen besteht darin, dass das Vertrauensnetz in dem lokal durch --init erstellten privaten Schlüssel verankert wird.

--nocolor
    unterbindet die farbliche Darstellung der Ausgabe von pacman-key.

-r, --recv-keys
    ist gleichbedeutend mit --recv-keys in GnuPG.

--refresh-keys
    ist gleichbedeutend mit --refresh-keys in GnuPG.

--populate
    lädt die Standardschlüssel aus den (optional angegebenen) Schlüsselbünden in /usr/share/pacman/keyrings neu. Weitere Informationen finden Sie im nachfolgenden Abschnitt »Bereitstellung eines Schlüsselbundes zum Import«.

-u, --updatedb
    ist gleichbedeutend mit --check-trustdb in GnuPG. Diese Operation kann zusammen mit anderen Operationen angegeben werden.

-V, --version
    zeigt die Programmversion an.

-v, --verify
    nimmt an, das das erste Argument eine Signatur ist, und überprüft diese. Falls ein zweites Argument angegeben ist, wird es als die Datei betrachtet, die überprüft werden soll.

    Wenn nur ein Argument angegeben ist, wird angenommen, dass die Signatur eine abgetrennte Signatur ist, und es wird nach einer entsprechenden zu überprüfenden Datendatei gesucht, indem die Dateiendung entfernt wird. Falls keine passende Datendatei gefunden wird, wird auf die GPG-Semantik ausgewichen und versucht, eine Datei mit einer eingebetteten Signatur zu überprüfen.

OPTIONEN

--config <Datei>
    verwendet eine alternative Konfigurationsdatei anstelle der voreingestellten /etc/pacman.conf.

--gpgdir <Verzeichnis>
    gibt ein alternatives Heimatverzeichnis für GnuPG an. Falls Sie nichts angeben, wird der Wert aus /etc/pacman.conf gelesen.

--keyserver <Schlüsselserver>
    verwendet den angegebenen Schlüsselserver, falls die Operation eine solche Angabe erfordert. Diese wird vor jeder anderen Schlüsselserver-Option bevorzugt, die in der Konfigurationsdatei gpg.conf angegeben ist. Die gleichzeitige Angabe der Option --init legt dabei den Schlüsselserver fest, falls dieser noch nicht konfiguriert wurde.

BEREITSTELLUNGEN EINES SCHLÜSSELBUNDES ZUM IMPORT

Eine Distribution oder ein anderes angegebenes Repositorium könnte eine Reihe von PGP-Schlüsseln bereitstellen, die beim Signieren von dessen Paketen und Repositorium-Datenbanken verwendet wurden. Diese können leicht in den Schlüsselbund von Pacman importiert werden. Das wird durch Bereitstellen einer PGP-Schlüsselbunddatei namens foo.gpg erreicht, welche die Schlüssel für den Schlüsselbund »foo« im Verzeichnis /usr/share/pacman/keyrings enthält.

Optional kann die Datei foo-trusted bereitgestellt werden, die eine Liste der Kennungen vertrauenswürdiger Schlüssel für diesen Schlüsselbund enthält. Das Format dieser Datei ist kompatibel zur Ausgabe von gpg --export-ownertrust. Diese Datei informiert den Benutzer darüber, welche Schlüssel er benötigt, um ein lokales Vertrauensnetz zu überprüfen und zu signieren. Zusätzlich weist er bereitgestellte Eigentums-Vertrauenswerte zu.

Weiterhin kann optional die Datei »foo-revoked« bereitgestellt werden, die eine Liste der Kennungen widerrufener Schlüssel für diesen Schlüsselbund enthält. Ein Widerruf bedeutet, dass der Schlüssel nicht mehr zum Signieren zulässig ist und daher mit Vorsicht verwendet werden sollte. Ein als widerrufen markierter Schlüssel wird im Schlüsselbund deaktiviert und nicht mehr als gültig aufgefasst, so dass dies stets Priorität vor dessen Vertrauenswertszustand in jedem anderen Schlüsselbund erhält.

SIEHE AUCH

pacman(8), pacman.conf(5)

Auf der Pacman-Website (https://archlinux.org/pacman/) finden Sie aktuelle Informationen zu Pacman und den zugehörigen Werkzeugen.

FEHLER

Fehler? Sie machen wohl Witze, es gibt keine Fehler in dieser Software. Nun ja, sollte unsere Annahme doch falsch sein, berichten Sie diese (auf Englisch) in dem Fehlererfassungssystem unter https://gitlab.archlinux.org/pacman/pacman/-/issues zusammen mit den konkreten Informationen wie Ihre Befehlszeile, die Art des Fehlers und sogar der Paketdatenbank, falls das hilft.

AUTOREN

Derzeitige Betreuer:

    • Allan McRae (allan@archlinux.org)

    • Andrew Gregory (andrew.gregory.8@gmail.com)

    • Morgan Adamiec (morganamilo@archlinux.org)

Bedeutende frühere Mitwirkende:

    • Judd Vinet (jvinet@zeroflux.org)

    • Aurelien Foret (aurelien@archlinux.org)

    • Aaron Griffin (aaron@archlinux.org)

    • Dan McGee (dan@archlinux.org)

    • Xavier Chantry (shiningxc@gmail.com)

    • Nagy Gábor (ngaba@bibl.u-szeged.hu)

    • Dave Reisner (dreisner@archlinux.org)

    • Eli Schwartz (eschwartz@archlinux.org)

Informationen zu weiteren Mitwirkenden erhalten Sie, wenn Sie den Befehl git shortlog -s im Git-Repositorium pacman.git aufrufen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.